## openscenegraph 3.2.3+dfsg1

=== OpenSceneGraph/CMakeLists.txt ===
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

IF(WIN32)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6 FATAL_ERROR)
ELSE(WIN32)
    IF(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)
    ELSE(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4 FATAL_ERROR)
    ENDIF(APPLE)
ENDIF(WIN32)

if(COMMAND cmake_policy)
    # Works around warnings libraries linked against that don't
    # have absolute paths (e.g. -lpthreads)
    cmake_policy(SET CMP0003 NEW)

    # Works around warnings about escaped quotes in ADD_DEFINITIONS
    # statements.
    cmake_policy(SET CMP0005 NEW)

    # tell CMake to prefer CMake's own CMake modules when available
    # only available from cmake-2.8.4
    if(${CMAKE_MAJOR_VERSION} GREATER 2 OR
        (${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 8) OR
        (${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 8 AND ${CMAKE_PATCH_VERSION} GREATER 3))
        cmake_policy(SET CMP0017 NEW)
    endif()

    # cmake-2.6.1 introduces policy cmp0008 decide how to treat full path libraries that do not appear to be valid library file names
    # quote from cvslog "Such libraries worked by accident in the VS IDE and Xcode generators in CMake 2.4 and below."
    if(${CMAKE_MAJOR_VERSION} GREATER 2 OR
        (${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 6) OR
        (${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 6 AND ${CMAKE_PATCH_VERSION} GREATER 0))
        cmake_policy(SET CMP0008 OLD)
    endif()

    # disable autolinking to qtmain as we have our own main() functions (new in Qt 5.1)
    if(${CMAKE_MAJOR_VERSION} GREATER 2 OR
        (${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 8) OR
        (${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 8 AND ${CMAKE_PATCH_VERSION} GREATER 10))
        cmake_policy(SET CMP0020 OLD)
    endif()
    # nicer version check - but needs at least CMake 2.6.2? Worth upgrading the requirements?
    #if("${CMAKE_VERSION}" VERSION_GREATER 2.8.10)
    # or even easier (available in cmake-2.6)
    #if(POLICY CMPxyzw)

endif()

PROJECT(OpenSceneGraph)

SET(OPENSCENEGRAPH_MAJOR_VERSION 3)
SET(OPENSCENEGRAPH_MINOR_VERSION 2)
SET(OPENSCENEGRAPH_PATCH_VERSION 3)
SET(OPENSCENEGRAPH_SOVERSION 100)

# set to 0 when not a release candidate, non zero means that any generated
# svn tags will be treated as release candidates of given number
SET(OPENSCENEGRAPH_RELEASE_CANDIDATE 0)

SET(OPENSCENEGRAPH_VERSION ${OPENSCENEGRAPH_MAJOR_VERSION}.${OPENSCENEGRAPH_MINOR_VERSION}.${OPENSCENEGRAPH_PATCH_VERSION})

SET(OSG_PLUGINS osgPlugins-${OPENSCENEGRAPH_VERSION})

SET(OSG_PLUGIN_PREFIX "")

IF (CYGWIN)
    SET(OSG_PLUGIN_PREFIX "cygwin_")
ENDIF()

IF(MINGW)
    SET(OSG_PLUGIN_PREFIX "mingw_")
ENDIF()


# We want to build SONAMES shared librariess
SET(OPENSCENEGRAPH_SONAMES TRUE)
SET(OPENTHREADS_SONAMES TRUE)

SET(OpenThreads_SOURCE_DIR ${OpenSceneGraph_SOURCE_DIR})

# We have some custom .cmake scripts not in the official distribution.
# Maybe this can be used override existing behavior if needed?
SET(CMAKE_MODULE_PATH "${OpenSceneGraph_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")


# Change the default build type to Release
IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)


## Option to enable Android build using AndroidNDK
OPTION(OSG_BUILD_PLATFORM_ANDROID OFF)
IF(OSG_BUILD_PLATFORM_ANDROID)

    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0 FATAL_ERROR)

    INCLUDE(OsgAndroidMacroUtils)
    SET(ANDROID TRUE)
    IF(NOT ANDROID_PLATFORM)
        MESSAGE("Warning Android Platform version NOT defined, Default selected version: 5")
        SET(ANDROID_PLATFORM 5)
    ENDIF()
    IF(NOT ANDROID_ABI)
        MESSAGE("Warning Android ABI version NOT defined, Default selection: armeabi armeabi-v7a")
        SET(ANDROID_ABI "armeabi armeabi-v7a")
    ENDIF()
    IF(NOT ANDROID_STL)
        MESSAGE("Warning Android STL NOT defined, Default selection: gnustl_static")
        SET(ANDROID_STL "gnustl_static")
    ENDIF()
    IF(ANDROID_DEBUG)
        MESSAGE("Warning Android Build is in debug mode")
        SET(ANDROID_RELEASE_OPTIM "debug")
    ELSE()
        MESSAGE("Warning Android Build is in release mode")
        SET(ANDROID_RELEASE_OPTIM "release")
    ENDIF()
    IF(ANDROID_NEON)
        MESSAGE("Warning Android NEON optimizations enabled, this will not be available on all armeabi-v7a devices ie. Tegra2")
        SET(ANDROID_OPTIM_NEON true)
    ELSE()
        SET(ANDROID_OPTIM_NEON false)
    ENDIF()
    IF(ANDROID_ARM32)
        MESSAGE("Warning ARM 32bit instruction set will be used")
        SET(ANDROID_OPTIM_ARM32 true)
    ELSE()
        SET(ANDROID_OPTIM_ARM32 false)
    ENDIF()

    FIND_PACKAGE(AndroidNDK REQUIRED)

    SET(OSG_ANDROID_TEMPLATES "${CMAKE_SOURCE_DIR}/PlatformSpecifics/Android")

    SET(J  "4" CACHE STRING "how many processes for make -j <J>")

    ADD_CUSTOM_COMMAND(
        OUTPUT    Android-OpenSceneGraph
        DEPENDS   ${CMAKE_BINARY_DIR}/Android.mk
        COMMAND   "${ANDROID_NDK}/ndk-build"
        ARGS      --directory=${CMAKE_BINARY_DIR} NDK_APPLICATION_MK=Application.mk -j${J} NDK_LOG=1
    )

    ADD_CUSTOM_TARGET(ndk ALL echo
          DEPENDS Android-OpenSceneGraph
    )
    install(DIRECTORY include/ DESTINATION include/
        PATTERN ".svn" EXCLUDE
    )
    install(DIRECTORY ${CMAKE_BINARY_DIR}/include/ DESTINATION include/
    )
    install(DIRECTORY ${CMAKE_BINARY_DIR}/obj/ DESTINATION obj/
        PATTERN ".svn" EXCLUDE
        PATTERN "objs" EXCLUDE
    )

    ADD_DEFINITIONS(-DANDROID)

ENDIF()



# Okay, here's the problem: On some platforms, linking against OpenThreads
# is not enough and explicit linking to the underlying thread library
# is also required (e.g. FreeBSD). But OpenThreads may be built with different
# backends (Pthreads, Sproc, Windows) so we don't know what the underlying
# thread library is because some platforms support multiple backends (e.g.
# IRIX supports Sproc and Pthreads). Linking all libraries won't work
# because the libraries may be incompatible.
# So the current solution is to attempt best guess linking and exempt certain
# cases. With IRIX, we're going to hope explicit linking to the underlying
# library is not necessary. We currently don't case for pthreads on Windows
# which might be an issue on things like Cygwin. This may need to be fixed.
IF(NOT ANDROID)
    FIND_PACKAGE(Threads)
ENDIF()
IF(CMAKE_SYSTEM MATCHES IRIX)
    # Erase CMAKE_THREAD_LIBS_INIT and hope it works
    SET(CMAKE_THREAD_LIBS_INIT "" CACHE INTERNAL "")
ENDIF()

OPTION(OSG_MAINTAINER "Enable OpenSceneGraph maintainer build methods, such as making svn branches, tags, updating ChangeLog." OFF)
IF (OSG_MAINTAINER)

    #SET(OPENSCENEGRAPH_SVN "trunk")
    SET(OPENSCENEGRAPH_SVN "branches")
    SET(OPENSCENEGRAPH_BRANCH OpenSceneGraph-${OPENSCENEGRAPH_MAJOR_VERSION}.${OPENSCENEGRAPH_MINOR_VERSION})

    #
    # Provide target for tagging a release
    #
    SET(SVNCOMMAND svn)
    SET(SVNTRUNKDIR     http://svn.openscenegraph.org/osg/OpenSceneGraph/trunk)
    SET(SVNTAGDIR       http://svn.openscenegraph.org/osg/OpenSceneGraph/tags)
    SET(SVNBRANCHDIR    http://svn.openscenegraph.org/osg/OpenSceneGraph/branches)

    IF   (OPENSCENEGRAPH_SVN STREQUAL "trunk")
        SET(SVNSOURCEDIR ${SVNTRUNKDIR})
    ELSE()
        SET(SVNSOURCEDIR ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH})
    ENDIF()


    IF   (OPENSCENEGRAPH_RELEASE_CANDIDATE EQUAL 0)
        SET(RELEASE_NAME OpenSceneGraph-${OPENSCENEGRAPH_VERSION})
    ELSE()
        SET(RELEASE_NAME OpenSceneGraph-${OPENSCENEGRAPH_VERSION}-rc${OPENSCENEGRAPH_RELEASE_CANDIDATE})
    ENDIF()


    ADD_CUSTOM_TARGET(tag-test
        COMMAND echo ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNTAGDIR}/${RELEASE_NAME} -m "Release ${RELEASE_NAME}"
    )

    ADD_CUSTOM_TARGET(tag-run
        COMMAND ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNTAGDIR}/${RELEASE_NAME} -m "Release ${RELEASE_NAME}"
    )

    ADD_CUSTOM_TARGET(branch-test
        COMMAND echo ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH} -m "Branch ${OPENSCENEGRAPH_BRANCH}"
    )

    ADD_CUSTOM_TARGET(branch-run
        COMMAND ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH} -m "Branch ${OPENSCENEGRAPH_BRANCH}"
    )

    #
    # Provide target for generating ChangeLog
    #
    SET(GENERATELOGS svn2cl)

    ADD_CUSTOM_TARGET(ChangeLog
        COMMAND ${SVNCOMMAND} update
        COMMAND ${GENERATELOGS} ${SVNSOURCEDIR}
    )

ENDIF(OSG_MAINTAINER)

IF(NOT ANDROID)
IF(APPLE)
    # Determine the canonical name of the selected Platform SDK
    EXECUTE_PROCESS(COMMAND "/usr/bin/sw_vers" "-productVersion"
                    OUTPUT_VARIABLE OSG_OSX_SDK_NAME
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    STRING(REPLACE "." ";" MACOS_VERSION_LIST ${OSG_OSX_SDK_NAME})
    LIST(GET MACOS_VERSION_LIST 0 MACOS_VERSION_MAJOR)
    LIST(GET MACOS_VERSION_LIST 1 MACOS_VERSION_MINOR)
    LIST(GET MACOS_VERSION_LIST 2 MACOS_VERSION_PATCH)

    SET(OSG_OSX_SDK_NAME "macosx${MACOS_VERSION_MAJOR}.${MACOS_VERSION_MINOR}")

    # Trying to get CMake to generate an XCode IPhone project, current efforts are to get iphoneos sdk 3.1 working
    # Added option which needs manually setting to select the IPhone SDK for building. We can only have one of the below
    # set to true. Should realy have an OSG_BUILD_PLATFORM variable that we set to our desired platform
    OPTION(OSG_BUILD_PLATFORM_IPHONE "Enable IPhoneSDK Device support" OFF)
    OPTION(OSG_BUILD_PLATFORM_IPHONE_SIMULATOR "Enable IPhoneSDK Simulator support" OFF)

    IF(OSG_BUILD_PLATFORM_IPHONE OR OSG_BUILD_PLATFORM_IPHONE_SIMULATOR)

        #you need to manually set the default sdk version here
        SET (IPHONE_SDKVER "6.0" CACHE STRING "IOS SDK-Version")
        SET (IPHONE_VERSION_MIN "4.2" CACHE STRING "IOS minimum os version, use 7.0 or greater to get 64bit support")

        #the below is taken from ogre, it states the gcc stuff needs to happen before PROJECT() is called. I've no clue if we even need it
        # Force gcc <= 4.2 on iPhone
        IF(IPHONE_VERSION_MIN LESS "6.0")
            include(CMakeForceCompiler)
            CMAKE_FORCE_C_COMPILER(llvm-gcc-4.2 GNU)
            CMAKE_FORCE_CXX_COMPILER(llvm-gcc-4.2 GNU)
            SET(GCC_THUMB_SUPPORT NO)
        ENDIF()

        #set either the device sdk or the simulator sdk. Can't find away to separate these in the same project
        IF(OSG_BUILD_PLATFORM_IPHONE)
            SET (IPHONE_DEVROOT "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer")
            SET (IPHONE_SDKROOT "${IPHONE_DEVROOT}/SDKs/iPhoneOS${IPHONE_SDKVER}.sdk")
        ELSE()
            SET (IPHONE_DEVROOT "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer")
            SET (IPHONE_SDKROOT "${IPHONE_DEVROOT}/SDKs/iPhoneSimulator${IPHONE_SDKVER}.sdk")
        ENDIF()

        # Apple iOS: Find OpenGLES
        FIND_LIBRARY(OPENGLES_LIBRARY OpenGLES)
    ELSE ()
        FIND_LIBRARY(CARBON_LIBRARY Carbon)
        FIND_LIBRARY(COCOA_LIBRARY Cocoa)

        # Apple OS X: Find OpenGL and AGL
        FIND_PACKAGE(OpenGL)
        FIND_LIBRARY(AGL_LIBRARY AGL)
    ENDIF ()

    OPTION(OSG_COMPILE_FRAMEWORKS "compile frameworks instead of dylibs (experimental)" OFF)
    SET(OSG_COMPILE_FRAMEWORKS_INSTALL_NAME_DIR "@executable_path/../Frameworks" CACHE STRING "install name dir for compiled frameworks")
ELSE()
    # Non-Apple: Find OpenGL
    FIND_PACKAGE(OpenGL)
ENDIF()
ENDIF()

IF(UNIX AND NOT ANDROID)
    # Not sure what this will do on Cygwin and Msys
    # Also, remember OS X X11 is a user installed option so it may not exist.
    FIND_PACKAGE(X11)

=== OpenSceneGraph/examples/osgQtBrowser/CMakeLists.txt ===
SET(TARGET_SRC
    osgQtBrowser.cpp
)

IF(CMAKE_COMPILER_IS_GNUCXX)
    # Remove -pedantic flag as it barfs on Qt headers
   STRING(REGEX REPLACE "-pedantic" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
ENDIF()

if ( QT4_FOUND )
    SET(TARGET_EXTERNAL_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${QT_QTWEBKIT_LIBRARY})
    INCLUDE_DIRECTORIES(${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTWEBKIT_INCLUDE_DIR} )
endif( QT4_FOUND )

SET(TARGET_ADDED_LIBRARIES osgWidget osgQt)

#### end var setup  ###
SET ( EXAMPLE_NAME osgQtBrowser )
SETUP_EXAMPLE(${EXAMPLE_NAME})

IF ( Qt5Widgets_FOUND )
    qt5_use_modules( example_${EXAMPLE_NAME} Widgets OpenGL WebKitWidgets )
ENDIF( Qt5Widgets_FOUND )

=== OpenSceneGraph/examples/osgQtWidgets/CMakeLists.txt ===
SET(TARGET_SRC
    osgQtWidgets.cpp
)

IF(CMAKE_COMPILER_IS_GNUCXX)
    # Remove -pedantic flag as it barfs on Qt headers
   STRING(REGEX REPLACE "-pedantic" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
ENDIF()

if ( QT4_FOUND )
    SET(TARGET_EXTERNAL_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${QT_QTWEBKIT_LIBRARY})
    INCLUDE_DIRECTORIES(${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTWEBKIT_INCLUDE_DIR} )
endif( QT4_FOUND )

SET(TARGET_ADDED_LIBRARIES osgWidget osgQt)

#### end var setup  ###
SET ( EXAMPLE_NAME osgQtWidgets )
SETUP_EXAMPLE(${EXAMPLE_NAME})

IF ( Qt5Widgets_FOUND )
    qt5_use_modules( example_${EXAMPLE_NAME} OpenGL WebKitWidgets )
ENDIF( Qt5Widgets_FOUND )

=== OpenSceneGraph/examples/osganimate/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osganimate.cpp )
SET(TARGET_ADDED_LIBRARIES osgSim )
#### end var setup  ###
SETUP_EXAMPLE(osganimate)

=== OpenSceneGraph/examples/osganimationsolid/CMakeLists.txt ===
SET(TARGET_SRC osganimationsolid.cpp )
SET(TARGET_ADDED_LIBRARIES osgAnimation )
SETUP_EXAMPLE(osganimationsolid)

=== OpenSceneGraph/examples/osgcluster/CMakeLists.txt ===
SET(TARGET_SRC
    broadcaster.cpp
    receiver.cpp
    osgcluster.cpp
)

IF   (WIN32)
   SET(TARGET_EXTERNAL_LIBRARIES ws2_32)
ELSE(WIN32)
   CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" LIB_NSL_HAS_GETHOSTBYNAME)
   IF(LIB_NSL_HAS_GETHOSTBYNAME)
      SET(TARGET_EXTERNAL_LIBRARIES ${TARGET_EXTERNAL_LIBRARIES} nsl)
   ENDIF()
   CHECK_LIBRARY_EXISTS("socket" "socket" "" LIB_SOCKET_HAS_SOCKET)
   IF(LIB_SOCKET_HAS_SOCKET)
      SET(TARGET_EXTERNAL_LIBRARIES ${TARGET_EXTERNAL_LIBRARIES} socket)
   ENDIF()
ENDIF(WIN32)

#### end var setup  ###
SETUP_EXAMPLE(osgcluster)

=== OpenSceneGraph/examples/osgcompositeviewer/CMakeLists.txt ===
SET(TARGET_SRC osgcompositeviewer.cpp )
SET(TARGET_ADDED_LIBRARIES osgFX )

#### end var setup  ###
SETUP_EXAMPLE(osgcompositeviewer)

=== OpenSceneGraph/examples/osgdelaunay/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgdelaunay.cpp )
SET(TARGET_ADDED_LIBRARIES osgGA )
#### end var setup  ###
SETUP_EXAMPLE(osgdelaunay)

=== OpenSceneGraph/examples/osgmovie/CMakeLists.txt ===
# INCLUDE_DIRECTORIES( ${OPENAL_INCLUDE_DIR} )
# SET(TARGET_EXTERNAL_LIBRARIES ${OPENAL_LIBRARY} alut)

IF   (SDL_FOUND)
    SET(TARGET_EXTERNAL_LIBRARIES ${SDL_LIBRARY} )
    INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR} )
    ADD_DEFINITIONS(-DUSE_SDL)
    IF (MINGW)
        SET(TARGET_EXTERNAL_LIBRARIES ${TARGET_EXTERNAL_LIBRARIES} winmm dinput ddraw dxguid)
    ENDIF()
ENDIF(SDL_FOUND)

SET(TARGET_SRC osgmovie.cpp )
SET(TARGET_ADDED_LIBRARIES osgGA )



#### end var setup  ###
SETUP_EXAMPLE(osgmovie)

=== OpenSceneGraph/examples/osgqfont/CMakeLists.txt ===
#this file is automatically generated 

ADD_DEFINITIONS(-DUSE_QT4)

SET(TARGET_SRC osgqfont.cpp )
SET(TARGET_ADDED_LIBRARIES osgQt osgText)
IF ( NOT Qt5Widgets_FOUND )
    INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} )
    SET(TARGET_EXTERNAL_LIBRARIES ${QT_QTCORE_LIBRARY_RELEASE} ${QT_QTGUI_LIBRARY_RELEASE} ${QT_QTOPENGL_LIBRARY_RELEASE} )
ENDIF()

#### end var setup  ###
SET ( EXAMPLE_NAME osgqfont )
SETUP_EXAMPLE(${EXAMPLE_NAME})

IF ( Qt5Widgets_FOUND )
    qt5_use_modules( example_${EXAMPLE_NAME} Widgets OpenGL )
ENDIF( Qt5Widgets_FOUND )

=== OpenSceneGraph/examples/osgshadercomposition/CMakeLists.txt ===
SET(TARGET_SRC
    osgshadercomposition.cpp
)

SETUP_EXAMPLE(osgshadercomposition)

=== OpenSceneGraph/examples/osgsimplegl3/CMakeLists.txt ===
SET(TARGET_SRC osgsimplegl3.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgsimplegl3)

=== debian/changelog ===
openscenegraph (3.2.3+dfsg1-3) unstable; urgency=medium

  * Use the new version of libcoin (Closes: #917082, #912866).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 07 Jan 2019 11:52:00 +0100

openscenegraph (3.2.3+dfsg1-2) unstable; urgency=medium

  * Fix FTBFS on Hurd.  Thanks Bas Couwenberg (Closes: #824395).
  * Update standards to 3.9.8.  No changes required.
  * Corrected copyright file according to lintian.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 16 May 2016 14:23:26 +0200

openscenegraph (3.2.3+dfsg1-1) unstable; urgency=medium

  * Remove jasper dependency (Closes: #818211).
  * Fixed source retrieval rule when using DFSG versions.
  * Imported Upstream version 3.2.3+dfsg1

 -- Alberto Luaces Fernández <aluaces@udc.es>  Tue, 22 Mar 2016 16:25:39 +0100

openscenegraph (3.2.2+dfsg1-1) unstable; urgency=medium

  * Updated to new stable release (Closes: #814555).
  * Debug packages are now generated automatically (Closes: #775368).
  * Fixed my name in uploaders so lintian no longer triggers a warning
    about NMUs.
  * Fix doxygen configuration when reading header files.
  * De-embed copies of jquery.js found on doxygen configuration.
  * Update Vcs-Browser URL in debian/control.
  * Update debian/copyright file.
  * Fix FTBFS with ffmpeg 2.9 (Closes: #803849).  Thanks to Andreas
    Cadhalpun.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 11 Mar 2016 21:12:21 +0000

openscenegraph (3.2.1-9) unstable; urgency=medium

  * Added a compatibility fix for building with giflib5.  Thanks
    Sebastiaan Couwenberg and Matthias Klose. (Closes: 803300)

  * Modified debian/rules to set HTML_TIMESTAMP=NO for doxygen to make the
    package reproducible.  Thanks to Maria Valentina Marin (Closes:
    789264)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Sat, 19 Dec 2015 11:16:24 +0100

openscenegraph (3.2.1-8) unstable; urgency=medium

  * Adding upstream patch for GDAL 2.0 support, needed by upcoming
    transition.  Thanks to Bas Couwenberg. (Closes: 802266)

  [ Matthias Klose ]
  * Re-add a copy of the xine_xmalloc_aligned function, removed in
    newer upstream versions. (Closes: 792320)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 19 Oct 2015 13:51:23 +0200

=== debian/control ===
Source: openscenegraph
Section: devel
Priority: optional
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Alberto Luaces Fernández <aluaces@udc.es>, Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.16.1~),
               cmake,
               g++ (>= 3.3.0),
               ccache,
               doxygen,
               libgif-dev,
               libjpeg-dev,
               libtiff-dev,
               lib3ds-dev,
               libfreetype6-dev,
               libpng-dev,
               libcoin-dev,
               libgdal-dev,
               libx11-dev,
               libxmu-dev,
               freeglut3-dev,
               libgl1-mesa-dev | libgl-dev,
               libxine2-dev,
               libavcodec-dev,
               libswscale-dev,
               libavdevice-dev,
               libavresample-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               librsvg2-dev,
               libpoppler-glib-dev
Standards-Version: 3.9.8
Homepage: http://www.openscenegraph.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-osg/pkg-osg.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-osg/pkg-osg.git

Package: libopenthreads-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenthreads20 (= ${binary:Version})
Description: Object-Oriented (OO) thread interface for C++, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO)
 thread interface for C++ programmers, used primarily in OpenSceneGraph.  It is
 loosely modeled on the Java thread API, and the POSIX Threads standards.
 .
 This package contains the development headers.

Package: libopenthreads20
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Object-Oriented (OO) thread interface for C++, shared libs
 This library is intended to provide a minimal & complete Object-Oriented (OO)
 thread interface for C++ programmers, used primarily in OpenSceneGraph.  It is
 loosely modeled on the Java thread API, and the POSIX Threads standards.
 .
 This package contains the shared libraries.

Package: libopenscenegraph-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenthreads-dev,
         libgl1-mesa-dev | libgl-dev,
         libglu-dev,
         libopenscenegraph100v5 (= ${binary:Version})
Suggests: openscenegraph-doc,
          openscenegraph-examples
Description: 3D scene graph, development files
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the development headers.

Package: libopenscenegraph100v5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgdal1
Conflicts: libopenscenegraph100
Replaces: libopenscenegraph100
Description: 3D scene graph, shared libs
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the shared libraries.

Package: openscenegraph-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: 3D scene graph, documentation
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the documentation.

Package: openscenegraph
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D scene graph, utilities and examples (binaries)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains utilities and examples (binaries).

Package: openscenegraph-examples
Architecture: all
Depends: ${misc:Depends}
Description: 3D scene graph, examples (sources)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains examples (sources).

=== debian/rules ===
#!/usr/bin/make -f
# # Sample debian/rules that uses debhelper.
# # GNU copyright 1997 to 1999 by Joey Hess.
# #
# # Build comments:
# #  About 3.2 GB is needed on disc.
# #  orig sources are created by
# #    mkdir openscenegraph-xxx.orig
# #    cd openscenegraph-xxx.orig
# #    unzip OpenSceneGraph-xxx.zip
# #    mv OpenSceneGraph-xxx OpenSceneGraph
# #    cd ..
# #    cp -a openscenegraph-xxx.orig openscenegraph-xxx
# #    cd openscenegraph-xxx
# #    cp -a ../openscenegraph-yyy/debian .
# 
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# At the moment, CMake discards CPPFLAGS, so we have to add its value
# to C{,XX}FLAGS variables

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh  $@

# Use override_dh_* targets to customize this.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
# Default to g++
CXX ?= g++

# Detect parallel builds.
ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS = $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    PARALLEL_OPTIONS = -j$(PARALLEL_JOBS)
endif

define SETAFFINITY
	grep 'sched_setaffinity.*cpusetsize' /usr/include/sched.h > /dev/null || export COMPILE_USING_TWO_PARAM_sched_setaffinity=-DCOMPILE_USING_TWO_PARAM_sched_setaffinity ; 
endef

OSG = OpenSceneGraph

ifeq (hppa,$(DEB_BUILD_ARCH))
ARCH_C_FLAGS=-mlong-calls
ARCH_CXX_FLAGS=${ARCH_C_FLAGS}
endif

CFLAGS := ${CFLAGS} ${ARCH_C_FLAGS}
CXXFLAGS := ${CXXFLAGS} ${ARCH_CXX_FLAGS}

LDFLAGS += -Wl,--as-needed

#
# Shared libraries version numbers
#
# OpenSceneGraph/OpenThreads/Producer 0.9.8
#
#OPENSCENEGRAPH_SOVERSION=0
#
# OpenSceneGraph/OpenThreads/Producer 0.9.9
#
#OPENSCENEGRAPH_SOVERSION=1
#
# OpenSceneGraph/OpenThreads/Producer 1.0
#
#OPENSCENEGRAPH_SOVERSION=2
#
# OpenSceneGraph/OpenThreads/Producer 1.1
#
#OPENSCENEGRAPH_SOVERSION=3
#
# OpenSceneGraph/OpenThreads/Producer 1.2
#
#OPENSCENEGRAPH_SOVERSION=4
#
# OpenSceneGraph-1.9.1/OpenThreads-1.9.3 overriden with
# OpenSceneGraph-1.9.3, OpenSceneGraph-1.9.4, OpenSceneGraph-1.9.5, OpenSceneGraph-1.9.7 and
# OpenSceneGraph-2.0.0
#
#OPENSCENEGRAPH_SOVERSION=5
#
# OpenSceneGraph 2.2.0
#
#
#OPENSCENEGRAPH_SOVERSION=6
#
# OpenSceneGraph 2.4.0
#
#OPENSCENEGRAPH_SOVERSION=7
#OSG_VERSION=2.4.0
#
# OpenSceneGraph 2.6.1
#
#OPENSCENEGRAPH_SOVERSION=48
#OSG_VERSION=2.6.1
#
# OpenSceneGraph 2.8.0
#
#OPENSCENEGRAPH_SOVERSION=55
#OSG_VERSION=2.8.0
#
# OpenSceneGraph 2.8.1 and .2
#
#OPENTHREADS_SOVERSION=12
#OPENSCENEGRAPH_SOVERSION=56
#
# OpenSceneGraph 2.8.3
# OPENTHREADS_SOVERSION=13
# OPENSCENEGRAPH_SOVERSION=65
#
# OpenSceneGraph 2.9.10
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=68
#
# OpenSceneGraph 2.9.11
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=71
#
# OpenSceneGraph 2.9.13
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=73
#
# OpenSceneGraph 2.9.14
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=75
#
# OpenSceneGraph 2.9.16
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=77
#
# OpenSceneGraph 3.0.0
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=80
#
# OpenSceneGraph 3.2.0
# OPENTHREADS_SOVERSION=14
# OPENSCENEGRAPH_SOVERSION=99
#
# OpenSceneGraph 3.2.1
OPENTHREADS_SOVERSION=20
OPENSCENEGRAPH_SOVERSION=100

GRAB_VERSION_COMMAND := sed -n '1s~[^(]*(\(.*\)-.*).*~\1~p' debian/changelog | sed  's~+dfsg.*~~'
VERSION := $(shell $(GRAB_VERSION_COMMAND))
TMPDIR := $(shell mktemp -d)
TARBALL_NAME := openscenegraph_$(VERSION).orig.tar.gz
UPSTREAM_SVN_TAG_DIR := http://svn.openscenegraph.org/osg/OpenSceneGraph/tags/OpenSceneGraph

get-orig-source:
	dh_testdir
	mkdir -p $(TMPDIR)/openscenegraph-$(VERSION)
	svn export $(UPSTREAM_SVN_TAG_DIR)-$(VERSION) $(TMPDIR)/openscenegraph-$(VERSION)/$(OSG)
	tar czvf ../$(TARBALL_NAME) -C $(TMPDIR)/ openscenegraph-$(VERSION)
	rm -rf $(TMPDIR)

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	rm -fr build
	rm -f ${MANPAGES} 
	rm -fr html
	rm -f doxygen_sqlite3.db

	dh_clean 

MANPAGES = \
	${MANAPPLICATIONS} \
	${MANEXAMPLES}

MANAPPLICATIONS = \
	osgviewer.1 \
	osgconv.1 \
	osgversion.1 \
	osgfilecache.1 \
	osgarchive.1

MANEXAMPLES = \
	osg2cpp.1 \
	osganimate.1 \
	osganimationhardware.1 \
	osganimationmakepath.1 \
	osganimationnode.1 \
	osganimationskinning.1 \
	osganimationsolid.1 \
	osganimationtimeline.1 \
	osganimationviewer.1 \
	osgautocapture.1 \
	osgautotransform.1 \
	osgbillboard.1 \
	osgblendequation.1 \
	osgbrowser.1 \
	osgcallback.1 \
	osgcamera.1 \
	osgcatch.1 \
	osgclip.1 \
	osgcluster.1 \
	osgcompositeviewer.1 \
	osgcopy.1 \
	osgcubemap.1 \
	osgdelaunay.1 \
	osgdepthpartition.1 \
	osgdepthpeeling.1 \
	osgdistortion.1 \
	osgdrawinstanced.1 \
	osgfadetext.1 \
	osgfilecache.1 \
	osgfont.1 \
	osgforest.1 \
	osgfxbrowser.1 \
	osggameoflife.1 \
	osggeometry.1 \
	osggeometryshaders.1 \
	osghangglide.1 \
	osghud.1 \
	osgimagesequence.1 \
	osgimpostor.1 \
	osgintersection.1 \
	osgkdtree.1 \
	osgkeyboard.1 \
	osgkeyboardmouse.1 \
	osglauncher.1 \
	osglight.1 \
	osglightpoint.1 \
	osglogicop.1 \
	osglogo.1 \
	osgmanipulator.1 \
	osgmemorytest.1 \
	osgmotionblur.1 \
	osgmovie.1 \
	osgmultiplerendertargets.1 \
	osgmultitexture.1 \
	osgmultitexturecontrol.1 \
	osgoccluder.1 \
	osgocclusionquery.1 \
	osgpackeddepthstencil.1 \
	osgpagedlod.1 \
	osgparametric.1 \
	osgparticle.1 \
	osgparticleeffects.1 \
	osgpdf.1 \
	osgphotoalbum.1 \
	osgpick.1 \
	osgplanets.1 \
	osgpoints.1 \
	osgpointsprite.1 \
	osgprecipitation.1 \
	osgprerender.1 \
	osgprerendercubemap.1 \
	osgreflect.1 \
	osgrobot.1 \
	osgscalarbar.1 \
	osgscreencapture.1 \
	osgscribe.1 \
	osgsequence.1 \
	osgshaders.1 \
	osgshaderterrain.1 \
	osgshadow.1 \
	osgshape.1 \
	osgsharedarray.1 \
	osgsidebyside.1 \
	osgsimplifier.1 \
	osgsimulation.1 \
	osgslice.1 \
	osgspacewarp.1 \
	osgspheresegment.1 \
	osgspotlight.1 \
	osgstereoimage.1 \
	osgstereomatch.1 \
	osgteapot.1 \
	osgterrain.1 \
	osgtessellate.1 \
	osgtext.1 \
	osgtext3D.1 \
	osgtexture1D.1 \
	osgtexture2D.1 \
	osgtexture3D.1 \
	osgtexturerectangle.1 \
	osgthirdpersonview.1 \
	osgunittests.1 \
	osgvertexprogram.1 \
	osgviewerGLUT.1 \
	osgvolume.1 \
	osgwidgetaddremove.1 \
	osgwidgetbox.1 \
	osgwidgetcanvas.1 \
	osgwidgetframe.1 \
	osgwidgetinput.1 \
	osgwidgetlabel.1 \
	osgwidgetmenu.1 \
	osgwidgetmessagebox.1 \
	osgwidgetnotebook.1 \
	osgwidgetperformance.1 \
	osgwidgetscrolled.1 \
	osgwidgetshader.1 \
	osgwidgetstyled.1 \
	osgwidgettable.1 \
	osgwidgetwindow.1 \
	osgwindows.1 \
	osgQtBrowser.1 \
	osgQtWidgets.1 \
	osganalysis.1 \
	osganimationeasemotion.1 \
	osganimationmorph.1 \
	osgdatabaserevisions.1 \
	osgfpdepth.1 \
	osggpx.1 \
	osggraphicscost.1 \
	osgmultiviewpaging.1 \
	osgoit.1 \
	osgoutline.1 \
	osgparticleshader.1 \
	osgposter.1 \
	osgqfont.1 \
	osgshadercomposition.1 \
	osgshadergen.1 \
	osgtexturecompression.1 \
	osgthreadedterrain.1 \
	osguniformbuffer.1 \
	osguserstats.1 \
	osgvertexattributes.1 \
	osgviewerGTK.1 \
	osgviewerQtContext.1 \
	osgviewerSDL.1 \
	osgvirtualprogram.1 \
	present3D.1 \
	osguserdata.1 \
	osgviewerQt.1 \
	osgviewerWX.1 \
	osgatomiccounter.1 \
	osgcomputeshaders.1 \
	osgframerenderer.1 \
	osgkeystone.1 \
	osgmultiplemovies.1 \
	osgmultitouch.1 \
	osgoscdevice.1 \
	osgsimplegl3.1 \
	osgsimpleshaders.1 \
	osgtessellationshaders.1

install-arch: build-arch
	dh_testdir
	dh_testroot

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr
	$(MAKE) -C build/osg DESTDIR=$(CURDIR)/debian/tmp install
	-mv $(CURDIR)/debian/tmp/usr/share/OpenSceneGraph/bin/* $(CURDIR)/debian/tmp/usr/bin
	for man in ${MANEXAMPLES} ; do rm -f $$man ; ln -s debian/osgexamples.1 $$man ; done
	for man in ${MANAPPLICATIONS} ; do rm -f $$man ; ln -s debian/osgapplications.1 $$man ; done

# Build architecture-independent files here.
binary-indep: install-indep
